//+------------------------------------------------------------------+
//|                                               Heiken Ashi EA.mq4 |
//|                                                            timbo |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "timbo"
#property link      ""

//---- input parameters
extern int        StartHour = 0;
extern int        SL = 50;
extern int        TP = 55;
extern double    Lots=0.1;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   
   static datetime myTime;
   
   int cmd = 2; double price; int slippage = 4; double stoploss; double takeprofit; color colour; int magic = 1111;
   bool myTrades; int myTicket;

   for(int i=0;i<OrdersTotal();i++)
   {
   if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false) break;
      if(OrderSymbol()==Symbol() && OrderMagicNumber()==magic)
      {
         myTrades = true;
         myTicket = OrderTicket();
      }
   }
   
   if(myTrades == false)
   {
      if(Hour() == StartHour) // Time to put your orders
      {
         double haOpen = iCustom(NULL,0,"Heiken_Ashi_Smoothed",2,6,3,2,2,1);
         double haClose = iCustom(NULL,0,"Heiken_Ashi_Smoothed",2,6,3,2,3,1);
         
         if(haOpen < haClose) 
         { 
            cmd = 0; price = Ask; colour = Green; stoploss = Bid - SL*Point; takeprofit = Ask + TP*Point; 
         }
         
         if(haOpen > haClose)
         {
            cmd = 1; price = Bid; colour = Red; stoploss = Ask + SL*Point; takeprofit = Ask - TP*Point;
         }
   
         if(cmd != 2)
         {
            OrderSend(Symbol(), cmd, Lots, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour) ;
            return;
         }
      }
   }
   
   
//----
   return(0);
  }
//+------------------------------------------------------------------+